Wbemcli.IWbemQualifierSet (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, interface: Wbemcli, class: IWbemQualifierSet

Package com.sun.jna.platform.win32.COM

# Class Wbemcli.IWbemQualifierSet

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.Wbemcli.IWbemQualifierSet

All Implemented Interfaces:
  `NativeMapped`, `IUnknown`

Enclosing interface:
  Wbemcli

public static class Wbemcli.IWbemQualifierSet extends Unknown

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

  `Unknown.ByReference`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IWbemQualifierSet(Pointer pvInstance)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `Get(WString wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference plFlavor)`
  `String`
  `Get(String wszName)`
  `String[]`
  `GetNames()`
  `WinNT.HRESULT`
  `GetNames(int lFlags, PointerByReference pNames)`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

  `AddRef, QueryInterface, Release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IWbemQualifierSet

    public IWbemQualifierSet(Pointer pvInstance)

- ## Method Details

  - ### Get

    public WinNT.HRESULT Get(WString wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference plFlavor)

  - ### Get

    public String Get(String wszName)

  - ### GetNames

    public WinNT.HRESULT GetNames(int lFlags, PointerByReference pNames)

  - ### GetNames

    public String[] GetNames()